Last modified: 2013-07-14 19:56:16 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 51149 - VipsScaler test page should strip File: prefix from filename
VipsScaler test page should strip File: prefix from filename
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
VipsScaler (Other open bugs)
unspecified
All All
: High enhancement (vote)
: ---
Assigned To: Bawolff (Brian Wolff)
:
Depends on:
Blocks: 28135
  Show dependency treegraph
 
Reported: 2013-07-11 00:58 UTC by Sumana Harihareswara
Modified: 2013-07-14 19:56 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
"There are problems with some of your input File on this wiki: Could not process requested file. Check that it exists on this wiki." even though file exists (97.25 KB, image/png)
2013-07-11 00:58 UTC, Sumana Harihareswara
Details
screeny (363.11 KB, image/png)
2013-07-11 05:10 UTC, Greg Grossmeier
Details

Description Sumana Harihareswara 2013-07-11 00:58:06 UTC
Created attachment 12824 [details]
"There are problems with some of your input  File on this wiki:	Could not process requested file. Check that it exists on this wiki." even though file exists

To reproduce:

Go to https://test2.wikipedia.org/wiki/File:Bug35047-17.png on test2.wikipedia.org and verify that it exists.

Go to https://test2.wikipedia.org/wiki/Special:VipsTest and insert File:Bug35047-17.png for "File on this wiki".

Hit "Generate thumbnails" with all the other settings left to default.

Expected behavior:

Return a thumbnail.

Observed behavior:

Page returns with error:

There are problems with some of your input

File on this wiki:	Could not process requested file. Check that it exists on this wiki.
Comment 1 Greg Grossmeier 2013-07-11 05:10:02 UTC
Created attachment 12825 [details]
screeny

When entering the file to test, don't put "File:" at the beginning. Just the file name. Let me know if that works for you or not.
Comment 2 Antoine "hashar" Musso (WMF) 2013-07-11 07:46:03 UTC
Indeed it is working when stripping the File prefix.  Maybe we could attempt to generate a Title object out of the user input, and if it is part of the NS_FILE namespace, just use the name.
Comment 3 Greg Grossmeier 2013-07-11 15:40:36 UTC
Sounds fine. I'll set the priority to low, though. Easiest thing to do is insert extra text on that page saying "Please don't include the 'File:' prefix." Yeah, it's the lazy way, but hopefully in about a week we won't need this much.

Sumanah: Let's go ahead with the communications on Vips, this isn't a blocker.
Comment 4 Bawolff (Brian Wolff) 2013-07-11 15:56:38 UTC
This would be an easy fix. I could probably do it.
Comment 5 Gerrit Notification Bot 2013-07-11 15:58:21 UTC
Change 73183 had a related patch set uploaded by Brian Wolff:
Have Special:VipsTest recognize things with File: prefix

https://gerrit.wikimedia.org/r/73183
Comment 6 Greg Grossmeier 2013-07-11 16:37:41 UTC
Thanks Brian!
Comment 7 Greg Grossmeier 2013-07-12 21:48:42 UTC
Jan/Brian: can you two get this tested and merged on Monday?
Comment 8 Bawolff (Brian Wolff) 2013-07-13 03:07:41 UTC
(In reply to comment #7)
> Jan/Brian: can you two get this tested and merged on Monday?

Well I can't +2 my own patch (and currently don't have the relative vips binaries installed to actually test). Jan doesn't have +2 rights on the repo, so just by ourselves, probably not.
Comment 9 Gerrit Notification Bot 2013-07-13 21:15:57 UTC
Change 73183 merged by Aaron Schulz:
Have Special:VipsTest recognize things with File: prefix

https://gerrit.wikimedia.org/r/73183
Comment 10 Greg Grossmeier 2013-07-14 19:56:16 UTC
Thanks all (including Aaron) ;)

Obviously, we'll need to make sure the latest extension code is branched for any deploy of Vips this coming week (if the other issues are resolved in time).

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links